diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/plugin-install.php ./wordpress-3.3/wp-admin/plugin-install.php
*** ./wordpress-3.2.1/wp-admin/plugin-install.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/plugin-install.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 27,33 ****
  $title = __('Install Plugins');
  $parent_file = 'plugins.php';
  
- wp_enqueue_style( 'plugin-install' );
  wp_enqueue_script( 'plugin-install' );
  if ( 'plugin-information' != $tab )
  	add_thickbox();
--- 27,32 ----
***************
*** 36,46 ****
  
  do_action('install_plugins_pre_' . $tab); //Used to override the general interface, Eg, install or plugin information.
  
! add_contextual_help($current_screen,
! 	'<p>' . sprintf(__('Plugins hook into WordPress to extend its functionality with custom features. Plugins are developed independently from WordPress core by thousands of developers all over the world. All plugins in the official <a href="%s" target="_blank">WordPress.org Plugin Directory</a> are compatible with the license WordPress uses. You can find new plugins to install by searching or browsing the Directory right here in your own Plugins section.'), 'http://wordpress.org/extend/plugins/') . '</p>' .
  	'<p>' . __('If you know what you&#8217;re looking for, Search is your best bet. The Search screen has options to search the WordPress.org Plugin Directory for a particular Term, Author, or Tag. You can also search the directory by selecting a popular tags. Tags in larger type mean more plugins have been labeled with that tag.') . '</p>' .
  	'<p>' . __('If you just want to get an idea of what&#8217;s available, you can browse Featured, Popular, Newest, and Recently Updated plugins by using the links in the upper left of the screen. These sections rotate regularly.') . '</p>' .
! 	'<p>' . __('If you want to install a plugin that you&#8217;ve downloaded elsewhere, click Upload in the upper left. You will be prompted to upload the .zip package, and once uploaded, you can activate the new plugin.') . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Plugins_Add_New_Screen" target="_blank">Documentation on Installing Plugins</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 35,56 ----
  
  do_action('install_plugins_pre_' . $tab); //Used to override the general interface, Eg, install or plugin information.
  
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
! 	'<p>' . sprintf(__('Plugins hook into WordPress to extend its functionality with custom features. Plugins are developed independently from the core WordPress application by thousands of developers all over the world. All plugins in the official <a href="%s" target="_blank">WordPress.org Plugin Directory</a> are compatible with the license WordPress uses. You can find new plugins to install by searching or browsing the Directory right here in your own Plugins section.'), 'http://wordpress.org/extend/plugins/') . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'adding-plugins',
! 'title'		=> __('Adding Plugins'),
! 'content'	=>
  	'<p>' . __('If you know what you&#8217;re looking for, Search is your best bet. The Search screen has options to search the WordPress.org Plugin Directory for a particular Term, Author, or Tag. You can also search the directory by selecting a popular tags. Tags in larger type mean more plugins have been labeled with that tag.') . '</p>' .
  	'<p>' . __('If you just want to get an idea of what&#8217;s available, you can browse Featured, Popular, Newest, and Recently Updated plugins by using the links in the upper left of the screen. These sections rotate regularly.') . '</p>' .
! 	'<p>' . __('If you want to install a plugin that you&#8217;ve downloaded elsewhere, click the Upload in the upper left. You will be prompted to upload the .zip package, and once uploaded, you can activate the new plugin.') . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Plugins_Add_New_Screen" target="_blank">Documentation on Installing Plugins</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/plugins.php ./wordpress-3.3/wp-admin/plugins.php
*** ./wordpress-3.2.1/wp-admin/plugins.php	2011-11-24 20:39:26.000000000 -0600
--- ./wordpress-3.3/wp-admin/plugins.php	2011-11-30 22:51:35.000000000 -0600
***************
*** 25,31 ****
  $action = $wp_list_table->current_action();
  
  $plugin = isset($_REQUEST['plugin']) ? $_REQUEST['plugin'] : '';
! $s = isset($_REQUEST['s']) ? $_REQUEST['s'] : '';
  
  // Clean up request URI from temporary args for screen options/paging uri's to work as expected.
  $_SERVER['REQUEST_URI'] = remove_query_arg(array('error', 'deleted', 'activate', 'activate-multi', 'deactivate', 'deactivate-multi', '_error_nonce'), $_SERVER['REQUEST_URI']);
--- 25,31 ----
  $action = $wp_list_table->current_action();
  
  $plugin = isset($_REQUEST['plugin']) ? $_REQUEST['plugin'] : '';
! $s = isset($_REQUEST['s']) ? urlencode($_REQUEST['s']) : '';
  
  // Clean up request URI from temporary args for screen options/paging uri's to work as expected.
  $_SERVER['REQUEST_URI'] = remove_query_arg(array('error', 'deleted', 'activate', 'activate-multi', 'deactivate', 'deactivate-multi', '_error_nonce'), $_SERVER['REQUEST_URI']);
***************
*** 316,328 ****
  wp_enqueue_script('plugin-install');
  add_thickbox();
  
! add_screen_option( 'per_page', array('label' => _x( 'Plugins', 'plugins per page (screen options)' )) );
  
! add_contextual_help($current_screen,
  	'<p>' . __('Plugins extend and expand the functionality of WordPress. Once a plugin is installed, you may activate it or deactivate it here.') . '</p>' .
! 	'<p>' . sprintf(__('You can find additional plugins for your site by using the <a href="%1$s">Plugin Browser/Installer</a> functionality or by browsing the <a href="%2$s" target="_blank">WordPress Plugin Directory</a> directly and installing new plugins manually. To manually install a plugin you generally just need to upload the plugin file into your <code>/wp-content/plugins</code> directory. Once a plugin has been installed, you can activate it here.'), 'plugin-install.php', 'http://wordpress.org/extend/plugins/') . '</p>' .
  	'<p>' . __('Most of the time, plugins play nicely with the core of WordPress and with other plugins. Sometimes, though, a plugin&#8217;s code will get in the way of another plugin, causing compatibility issues. If your site starts doing strange things, this may be the problem. Try deactivating all your plugins and re-activating them in various combinations until you isolate which one(s) caused the issue.') . '</p>' .
! 	'<p>' . sprintf( __('If something goes wrong with a plugin and you can&#8217;t use WordPress, delete or rename that file in the <code>%s</code> directory and it will be automatically deactivated.'), WP_PLUGIN_DIR) . '</p>' .
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Managing_Plugins#Plugin_Management" target="_blank">Documentation on Managing Plugins</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
--- 316,339 ----
  wp_enqueue_script('plugin-install');
  add_thickbox();
  
! add_screen_option( 'per_page', array('label' => _x( 'Plugins', 'plugins per page (screen options)' ), 'default' => 999 ) );
  
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'overview',
! 'title'		=> __('Overview'),
! 'content'	=>
  	'<p>' . __('Plugins extend and expand the functionality of WordPress. Once a plugin is installed, you may activate it or deactivate it here.') . '</p>' .
! 	'<p>' . sprintf(__('You can find additional plugins for your site by using the <a href="%1$s">Plugin Browser/Installer</a> functionality or by browsing the <a href="%2$s" target="_blank">WordPress Plugin Directory</a> directly and installing new plugins manually. To manually install a plugin you generally just need to upload the plugin file into your <code>/wp-content/plugins</code> directory. Once a plugin has been installed, you can activate it here.'), 'plugin-install.php', 'http://wordpress.org/extend/plugins/') . '</p>'
! ) );
! get_current_screen()->add_help_tab( array(
! 'id'		=> 'compatibility-problems',
! 'title'		=> __('Troubleshooting'),
! 'content'	=>
  	'<p>' . __('Most of the time, plugins play nicely with the core of WordPress and with other plugins. Sometimes, though, a plugin&#8217;s code will get in the way of another plugin, causing compatibility issues. If your site starts doing strange things, this may be the problem. Try deactivating all your plugins and re-activating them in various combinations until you isolate which one(s) caused the issue.') . '</p>' .
! 	'<p>' . sprintf( __('If something goes wrong with a plugin and you can&#8217;t use WordPress, delete or rename that file in the <code>%s</code> directory and it will be automatically deactivated.'), WP_PLUGIN_DIR) . '</p>'
! ) );
! 
! get_current_screen()->set_help_sidebar(
  	'<p><strong>' . __('For more information:') . '</strong></p>' .
  	'<p>' . __('<a href="http://codex.wordpress.org/Managing_Plugins#Plugin_Management" target="_blank">Documentation on Managing Plugins</a>') . '</p>' .
  	'<p>' . __('<a href="http://wordpress.org/support/" target="_blank">Support Forums</a>') . '</p>'
***************
*** 391,399 ****
  
  <?php $wp_list_table->views(); ?>
  
! <form method="post" action="">
! 
  <?php $wp_list_table->search_box( __( 'Search Installed Plugins' ), 'plugin' ); ?>
  
  <input type="hidden" name="plugin_status" value="<?php echo esc_attr($status) ?>" />
  <input type="hidden" name="paged" value="<?php echo esc_attr($page) ?>" />
--- 402,412 ----
  
  <?php $wp_list_table->views(); ?>
  
! <form method="get" action="">
  <?php $wp_list_table->search_box( __( 'Search Installed Plugins' ), 'plugin' ); ?>
+ </form>
+ 
+ <form method="post" action="">
  
  <input type="hidden" name="plugin_status" value="<?php echo esc_attr($status) ?>" />
  <input type="hidden" name="paged" value="<?php echo esc_attr($page) ?>" />
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/post-new.php ./wordpress-3.3/wp-admin/post-new.php
*** ./wordpress-3.2.1/wp-admin/post-new.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/post-new.php	2011-11-23 14:45:23.000000000 -0600
***************
*** 16,31 ****
  else
  	wp_die( __('Invalid post type') );
  
! if ( 'post' != $post_type ) {
! 	$parent_file = "edit.php?post_type=$post_type";
! 	$submenu_file = "post-new.php?post_type=$post_type";
! } else {
  	$parent_file = 'edit.php';
  	$submenu_file = 'post-new.php';
  }
  
- $post_type_object = get_post_type_object($post_type);
- 
  $title = $post_type_object->labels->add_new_item;
  
  $editing = true;
--- 16,37 ----
  else
  	wp_die( __('Invalid post type') );
  
! $post_type_object = get_post_type_object( $post_type );
! 
! if ( 'post' == $post_type ) {
  	$parent_file = 'edit.php';
  	$submenu_file = 'post-new.php';
+ } else {
+ 	$submenu_file = "post-new.php?post_type=$post_type";
+ 	if ( isset( $post_type_object ) && $post_type_object->show_in_menu && $post_type_object->show_in_menu !== true ) {
+ 		$parent_file = $post_type_object->show_in_menu;
+ 		if ( ! isset( $_registered_pages[ get_plugin_page_hookname( "post-new.php?post_type=$post_type", $post_type_object->show_in_menu ) ] ) )
+ 			$submenu_file = $parent_file;
+ 	} else {
+ 		$parent_file = "edit.php?post_type=$post_type";
+ 	}
  }
  
  $title = $post_type_object->labels->add_new_item;
  
  $editing = true;
diff -crBPN --exclude=wp-config.php --exclude=.htaccess-inst --exclude=wordpress.sql --exclude=.htaccess.inst --exclude=wp-config.php --exclude=wordpress.sql --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.3.pl ./wordpress-3.2.1/wp-admin/post.php ./wordpress-3.3/wp-admin/post.php
*** ./wordpress-3.2.1/wp-admin/post.php	2011-11-24 20:39:25.000000000 -0600
--- ./wordpress-3.3/wp-admin/post.php	2011-11-14 10:59:45.000000000 -0600
***************
*** 16,48 ****
  
  wp_reset_vars(array('action', 'safe_mode', 'withcomments', 'posts', 'content', 'edited_post_title', 'comment_error', 'profile', 'trackback_url', 'excerpt', 'showcomments', 'commentstart', 'commentend', 'commentorder'));
  
! if ( isset($_GET['post']) )
! 	$post_id = (int) $_GET['post'];
! elseif ( isset($_POST['post_ID']) )
! 	$post_id = (int) $_POST['post_ID'];
  else
! 	$post_id = 0;
! $post_ID = $post_id;
! $post = null;
! $post_type_object = null;
! $post_type = null;
! if ( $post_id ) {
! 	$post = get_post($post_id);
! 	if ( $post ) {
! 		$post_type_object = get_post_type_object($post->post_type);
! 		if ( $post_type_object ) {
! 			$post_type = $post->post_type;
! 			$current_screen->post_type = $post->post_type;
! 			$current_screen->id = $current_screen->post_type;
! 		}
! 	}
! } elseif ( isset($_POST['post_type']) ) {
! 	$post_type_object = get_post_type_object($_POST['post_type']);
! 	if ( $post_type_object ) {
! 		$post_type = $post_type_object->name;
! 		$current_screen->post_type = $post_type;
! 		$current_screen->id = $current_screen->post_type;
! 	}
  }
  
  /**
--- 16,36 ----
  
  wp_reset_vars(array('action', 'safe_mode', 'withcomments', 'posts', 'content', 'edited_post_title', 'comment_error', 'profile', 'trackback_url', 'excerpt', 'showcomments', 'commentstart', 'commentend', 'commentorder'));
  
! if ( isset( $_GET['post'] ) )
!  	$post_id = $post_ID = (int) $_GET['post'];
! elseif ( isset( $_POST['post_ID'] ) )
!  	$post_id = $post_ID = (int) $_POST['post_ID'];
  else
!  	$post_id = $post_ID = 0;
! 
! $post = $post_type = $post_type_object = null;
! 
! if ( $post_id )
! 	$post = get_post( $post_id );
! 
! if ( $post ) {
! 	$post_type = $post->post_type;
! 	$post_type_object = get_post_type_object( $post_type );
  }
  
  /**
***************
*** 94,102 ****
  	$action = 'preview';
  
  $sendback = wp_get_referer();
! if ( strpos($sendback, 'post.php') !== false || strpos($sendback, 'post-new.php') !== false ) {
! 	$sendback = admin_url('edit.php');
! 	$sendback .= ( !empty( $post_type ) ) ? '?post_type=' . $post_type : '';
  } else {
  	$sendback = remove_query_arg( array('trashed', 'untrashed', 'deleted', 'ids'), $sendback );
  }
--- 82,92 ----
  	$action = 'preview';
  
  $sendback = wp_get_referer();
! if ( ! $sendback ||
!      strpos( $sendback, 'post.php' ) !== false ||
!      strpos( $sendback, 'post-new.php' ) !== false ) {
! 	$sendback = admin_url( 'edit.php' );
! 	$sendback .= ( ! empty( $post_type ) ) ? '?post_type=' . $post_type : '';
  } else {
  	$sendback = remove_query_arg( array('trashed', 'untrashed', 'deleted', 'ids'), $sendback );
  }
***************
*** 114,123 ****
  	if ( 'post-quickpress-publish' == $action || 'post-quickpress-save' == $action ) {
  		$_POST['comment_status'] = get_option('default_comment_status');
  		$_POST['ping_status'] = get_option('default_ping_status');
- 	}
- 
- 	if ( !empty( $_POST['quickpress_post_ID'] ) ) {
- 		$_POST['post_ID'] = (int) $_POST['quickpress_post_ID'];
  		$post_id = edit_post();
  	} else {
  		$post_id = 'postajaxpost' == $action ? edit_post() : write_post();
--- 104,109 ----
***************
*** 174,180 ****
  	if ( $last = wp_check_post_lock( $post->ID ) ) {
  		add_action('admin_notices', '_admin_notice_post_locked' );
  	} else {
! 		wp_set_post_lock( $post->ID );
  		wp_enqueue_script('autosave');
  	}
  
--- 160,166 ----
  	if ( $last = wp_check_post_lock( $post->ID ) ) {
  		add_action('admin_notices', '_admin_notice_post_locked' );
  	} else {
! 		$active_post_lock = wp_set_post_lock( $post->ID );
  		wp_enqueue_script('autosave');
  	}
  
